source: squid-ssl/trunk/fuentes/src/repl/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 21 months ago

Initial release

File size: 40.3 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93subdir = src/repl
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LIBRARIES = $(noinst_LIBRARIES)
161ARFLAGS = cru
162AM_V_AR = $(am__v_AR_@AM_V@)
163am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
164am__v_AR_0 = @echo "  AR      " $@;
165am__v_AR_1 =
166libheap_a_AR = $(AR) $(ARFLAGS)
167libheap_a_LIBADD =
168am__dirstamp = $(am__leading_dot)dirstamp
169am_libheap_a_OBJECTS = heap/store_heap_replacement.$(OBJEXT) \
170        heap/store_repl_heap.$(OBJEXT)
171libheap_a_OBJECTS = $(am_libheap_a_OBJECTS)
172liblru_a_AR = $(AR) $(ARFLAGS)
173liblru_a_LIBADD =
174am_liblru_a_OBJECTS = lru/store_repl_lru.$(OBJEXT)
175liblru_a_OBJECTS = $(am_liblru_a_OBJECTS)
176AM_V_P = $(am__v_P_@AM_V@)
177am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
178am__v_P_0 = false
179am__v_P_1 = :
180AM_V_GEN = $(am__v_GEN_@AM_V@)
181am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
182am__v_GEN_0 = @echo "  GEN     " $@;
183am__v_GEN_1 =
184AM_V_at = $(am__v_at_@AM_V@)
185am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
186am__v_at_0 = @
187am__v_at_1 =
188DEFAULT_INCLUDES =
189depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
190am__depfiles_maybe = depfiles
191am__mv = mv -f
192CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
193        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
194AM_V_lt = $(am__v_lt_@AM_V@)
195am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
196am__v_lt_0 = --silent
197am__v_lt_1 =
198LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
199        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
200        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
201        $(AM_CXXFLAGS) $(CXXFLAGS)
202AM_V_CXX = $(am__v_CXX_@AM_V@)
203am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
204am__v_CXX_0 = @echo "  CXX     " $@;
205am__v_CXX_1 =
206CXXLD = $(CXX)
207CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
208        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
209        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
210AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
211am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
212am__v_CXXLD_0 = @echo "  CXXLD   " $@;
213am__v_CXXLD_1 =
214COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
215        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
216LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
217        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
218        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
219        $(AM_CFLAGS) $(CFLAGS)
220AM_V_CC = $(am__v_CC_@AM_V@)
221am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
222am__v_CC_0 = @echo "  CC      " $@;
223am__v_CC_1 =
224CCLD = $(CC)
225LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
226        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
227        $(AM_LDFLAGS) $(LDFLAGS) -o $@
228AM_V_CCLD = $(am__v_CCLD_@AM_V@)
229am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
230am__v_CCLD_0 = @echo "  CCLD    " $@;
231am__v_CCLD_1 =
232SOURCES = $(libheap_a_SOURCES) $(liblru_a_SOURCES)
233DIST_SOURCES = $(libheap_a_SOURCES) $(liblru_a_SOURCES)
234am__can_run_installinfo = \
235  case $$AM_UPDATE_INFO_DIR in \
236    n|no|NO) false;; \
237    *) (install-info --version) >/dev/null 2>&1;; \
238  esac
239am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
240# Read a list of newline-separated strings from the standard input,
241# and print each of them once, without duplicates.  Input order is
242# *not* preserved.
243am__uniquify_input = $(AWK) '\
244  BEGIN { nonempty = 0; } \
245  { items[$$0] = 1; nonempty = 1; } \
246  END { if (nonempty) { for (i in items) print i; }; } \
247'
248# Make sure the list of sources is unique.  This is necessary because,
249# e.g., the same source file might be shared among _SOURCES variables
250# for different programs/libraries.
251am__define_uniq_tagged_files = \
252  list='$(am__tagged_files)'; \
253  unique=`for i in $$list; do \
254    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
255  done | $(am__uniquify_input)`
256ETAGS = etags
257CTAGS = ctags
258am__tty_colors_dummy = \
259  mgn= red= grn= lgn= blu= brg= std=; \
260  am__color_tests=no
261am__tty_colors = { \
262  $(am__tty_colors_dummy); \
263  if test "X$(AM_COLOR_TESTS)" = Xno; then \
264    am__color_tests=no; \
265  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
266    am__color_tests=yes; \
267  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
268    am__color_tests=yes; \
269  fi; \
270  if test $$am__color_tests = yes; then \
271    red='[0;31m'; \
272    grn='[0;32m'; \
273    lgn='[1;32m'; \
274    blu='[1;34m'; \
275    mgn='[0;35m'; \
276    brg='[1m'; \
277    std='[m'; \
278  fi; \
279}
280am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
281am__vpath_adj = case $$p in \
282    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
283    *) f=$$p;; \
284  esac;
285am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
286am__install_max = 40
287am__nobase_strip_setup = \
288  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
289am__nobase_strip = \
290  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
291am__nobase_list = $(am__nobase_strip_setup); \
292  for p in $$list; do echo "$$p $$p"; done | \
293  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
294  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
295    if (++n[$$2] == $(am__install_max)) \
296      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
297    END { for (dir in files) print dir, files[dir] }'
298am__base_list = \
299  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
300  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
301am__uninstall_files_from_dir = { \
302  test -z "$$files" \
303    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
304    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
305         $(am__cd) "$$dir" && rm -f $$files; }; \
306  }
307am__recheck_rx = ^[     ]*:recheck:[    ]*
308am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
309am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
310# A command that, given a newline-separated list of test names on the
311# standard input, print the name of the tests that are to be re-run
312# upon "make recheck".
313am__list_recheck_tests = $(AWK) '{ \
314  recheck = 1; \
315  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
316    { \
317      if (rc < 0) \
318        { \
319          if ((getline line2 < ($$0 ".log")) < 0) \
320            recheck = 0; \
321          break; \
322        } \
323      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
324        { \
325          recheck = 0; \
326          break; \
327        } \
328      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
329        { \
330          break; \
331        } \
332    }; \
333  if (recheck) \
334    print $$0; \
335  close ($$0 ".trs"); \
336  close ($$0 ".log"); \
337}'
338# A command that, given a newline-separated list of test names on the
339# standard input, create the global log from their .trs and .log files.
340am__create_global_log = $(AWK) ' \
341function fatal(msg) \
342{ \
343  print "fatal: making $@: " msg | "cat >&2"; \
344  exit 1; \
345} \
346function rst_section(header) \
347{ \
348  print header; \
349  len = length(header); \
350  for (i = 1; i <= len; i = i + 1) \
351    printf "="; \
352  printf "\n\n"; \
353} \
354{ \
355  copy_in_global_log = 1; \
356  global_test_result = "RUN"; \
357  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
358    { \
359      if (rc < 0) \
360         fatal("failed to read from " $$0 ".trs"); \
361      if (line ~ /$(am__global_test_result_rx)/) \
362        { \
363          sub("$(am__global_test_result_rx)", "", line); \
364          sub("[        ]*$$", "", line); \
365          global_test_result = line; \
366        } \
367      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
368        copy_in_global_log = 0; \
369    }; \
370  if (copy_in_global_log) \
371    { \
372      rst_section(global_test_result ": " $$0); \
373      while ((rc = (getline line < ($$0 ".log"))) != 0) \
374      { \
375        if (rc < 0) \
376          fatal("failed to read from " $$0 ".log"); \
377        print line; \
378      }; \
379      printf "\n"; \
380    }; \
381  close ($$0 ".trs"); \
382  close ($$0 ".log"); \
383}'
384# Restructured Text title.
385am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
386# Solaris 10 'make', and several other traditional 'make' implementations,
387# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
388# by disabling -e (using the XSI extension "set +e") if it's set.
389am__sh_e_setup = case $$- in *e*) set +e;; esac
390# Default flags passed to test drivers.
391am__common_driver_flags = \
392  --color-tests "$$am__color_tests" \
393  --enable-hard-errors "$$am__enable_hard_errors" \
394  --expect-failure "$$am__expect_failure"
395# To be inserted before the command running the test.  Creates the
396# directory for the log if needed.  Stores in $dir the directory
397# containing $f, in $tst the test, in $log the log.  Executes the
398# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
399# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
400# will run the test scripts (or their associated LOG_COMPILER, if
401# thy have one).
402am__check_pre = \
403$(am__sh_e_setup);                                      \
404$(am__vpath_adj_setup) $(am__vpath_adj)                 \
405$(am__tty_colors);                                      \
406srcdir=$(srcdir); export srcdir;                        \
407case "$@" in                                            \
408  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
409    *) am__odir=.;;                                     \
410esac;                                                   \
411test "x$$am__odir" = x"." || test -d "$$am__odir"       \
412  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
413if test -f "./$$f"; then dir=./;                        \
414elif test -f "$$f"; then dir=;                          \
415else dir="$(srcdir)/"; fi;                              \
416tst=$$dir$$f; log='$@';                                 \
417if test -n '$(DISABLE_HARD_ERRORS)'; then               \
418  am__enable_hard_errors=no;                            \
419else                                                    \
420  am__enable_hard_errors=yes;                           \
421fi;                                                     \
422case " $(XFAIL_TESTS) " in                              \
423  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
424    am__expect_failure=yes;;                            \
425  *)                                                    \
426    am__expect_failure=no;;                             \
427esac;                                                   \
428$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
429# A shell command to get the names of the tests scripts with any registered
430# extension removed (i.e., equivalently, the names of the test logs, with
431# the '.log' extension removed).  The result is saved in the shell variable
432# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
433# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
434# since that might cause problem with VPATH rewrites for suffix-less tests.
435# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
436am__set_TESTS_bases = \
437  bases='$(TEST_LOGS)'; \
438  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
439  bases=`echo $$bases`
440RECHECK_LOGS = $(TEST_LOGS)
441AM_RECURSIVE_TARGETS = check recheck
442TEST_SUITE_LOG = test-suite.log
443TEST_EXTENSIONS = @EXEEXT@ .test
444LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
445LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
446am__set_b = \
447  case '$@' in \
448    */*) \
449      case '$*' in \
450        */*) b='$*';; \
451          *) b=`echo '$@' | sed 's/\.log$$//'`; \
452       esac;; \
453    *) \
454      b='$*';; \
455  esac
456am__test_logs1 = $(TESTS:=.log)
457am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
458TEST_LOGS = $(am__test_logs2:.test.log=.log)
459TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
460TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
461        $(TEST_LOG_FLAGS)
462am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
463        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
464DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
465ACLOCAL = @ACLOCAL@
466ADAPTATION_LIBS = @ADAPTATION_LIBS@
467ALLOCA = @ALLOCA@
468AMTAR = @AMTAR@
469AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
470AR = @AR@
471ARGZ_H = @ARGZ_H@
472AR_R = @AR_R@
473AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
474AUTH_MODULES = @AUTH_MODULES@
475AUTOCONF = @AUTOCONF@
476AUTOHEADER = @AUTOHEADER@
477AUTOMAKE = @AUTOMAKE@
478AWK = @AWK@
479BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
480BUILDCXX = @BUILDCXX@
481BUILDCXXFLAGS = @BUILDCXXFLAGS@
482BZR = @BZR@
483CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
484CC = @CC@
485CCDEPMODE = @CCDEPMODE@
486CFLAGS = @CFLAGS@
487CGIEXT = @CGIEXT@
488CHMOD = @CHMOD@
489CPP = @CPP@
490CPPFLAGS = @CPPFLAGS@
491CPPUNITCONFIG = @CPPUNITCONFIG@
492CRYPTLIB = @CRYPTLIB@
493CXX = @CXX@
494CXXCPP = @CXXCPP@
495CXXDEPMODE = @CXXDEPMODE@
496CXXFLAGS = @CXXFLAGS@
497CYGPATH_W = @CYGPATH_W@
498DEFAULT_HOSTS = @DEFAULT_HOSTS@
499DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
500DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
501DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
502DEFS = @DEFS@
503DEPDIR = @DEPDIR@
504DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
505DISK_LIBS = @DISK_LIBS@
506DISK_LINKOBJS = @DISK_LINKOBJS@
507DISK_MODULES = @DISK_MODULES@
508DISK_OS_LIBS = @DISK_OS_LIBS@
509DISK_PROGRAMS = @DISK_PROGRAMS@
510DLLTOOL = @DLLTOOL@
511DSYMUTIL = @DSYMUTIL@
512DUMPBIN = @DUMPBIN@
513ECAP_LIBS = @ECAP_LIBS@
514ECHO_C = @ECHO_C@
515ECHO_N = @ECHO_N@
516ECHO_T = @ECHO_T@
517EGREP = @EGREP@
518EPOLL_LIBS = @EPOLL_LIBS@
519EUILIB = @EUILIB@
520EXEEXT = @EXEEXT@
521EXPATLIB = @EXPATLIB@
522EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
523EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
524EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
525FALSE = @FALSE@
526FGREP = @FGREP@
527GREP = @GREP@
528HAVE_CXX11 = @HAVE_CXX11@
529ICAP_LIBS = @ICAP_LIBS@
530INCLTDL = @INCLTDL@
531INSTALL = @INSTALL@
532INSTALL_DATA = @INSTALL_DATA@
533INSTALL_PROGRAM = @INSTALL_PROGRAM@
534INSTALL_SCRIPT = @INSTALL_SCRIPT@
535INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
536KRB5INCS = @KRB5INCS@
537KRB5LIBS = @KRB5LIBS@
538LBERLIB = @LBERLIB@
539LD = @LD@
540LDAPLIB = @LDAPLIB@
541LDFLAGS = @LDFLAGS@
542LIBADD_DL = @LIBADD_DL@
543LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
544LIBADD_DLOPEN = @LIBADD_DLOPEN@
545LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
546LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
547LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
548LIBLTDL = @LIBLTDL@
549LIBOBJS = @LIBOBJS@
550LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
551LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
552LIBS = @LIBS@
553LIBSASL = @LIBSASL@
554LIBTOOL = @LIBTOOL@
555LIB_DB = @LIB_DB@
556LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
557LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
558LINUXDOC = @LINUXDOC@
559LIPO = @LIPO@
560LN = @LN@
561LN_S = @LN_S@
562LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
563LTDLDEPS = @LTDLDEPS@
564LTDLINCL = @LTDLINCL@
565LTDLOPEN = @LTDLOPEN@
566LTLIBOBJS = @LTLIBOBJS@
567LT_CONFIG_H = @LT_CONFIG_H@
568LT_DLLOADERS = @LT_DLLOADERS@
569LT_DLPREOPEN = @LT_DLPREOPEN@
570MAINT = @MAINT@
571MAKEINFO = @MAKEINFO@
572MANIFEST_TOOL = @MANIFEST_TOOL@
573MINGW_LIBS = @MINGW_LIBS@
574MKDIR = @MKDIR@
575MKDIR_P = @MKDIR_P@
576MV = @MV@
577NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
578NETTLELIB = @NETTLELIB@
579NM = @NM@
580NMEDIT = @NMEDIT@
581NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
582OBJDUMP = @OBJDUMP@
583OBJEXT = @OBJEXT@
584OTOOL = @OTOOL@
585OTOOL64 = @OTOOL64@
586PACKAGE = @PACKAGE@
587PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
588PACKAGE_NAME = @PACKAGE_NAME@
589PACKAGE_STRING = @PACKAGE_STRING@
590PACKAGE_TARNAME = @PACKAGE_TARNAME@
591PACKAGE_URL = @PACKAGE_URL@
592PACKAGE_VERSION = @PACKAGE_VERSION@
593PATH_SEPARATOR = @PATH_SEPARATOR@
594PERL = @PERL@
595PKG_CONFIG = @PKG_CONFIG@
596PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
597PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
598PO2HTML = @PO2HTML@
599PO2TEXT = @PO2TEXT@
600POD2MAN = @POD2MAN@
601RANLIB = @RANLIB@
602REGEXLIB = @REGEXLIB@
603REPL_LIBS = @REPL_LIBS@
604REPL_OBJS = @REPL_OBJS@
605REPL_POLICIES = @REPL_POLICIES@
606RM = @RM@
607SED = @SED@
608SET_MAKE = @SET_MAKE@
609SH = @SH@
610SHELL = @SHELL@
611SMBCLIENT = @SMBCLIENT@
612SNMPLIB = @SNMPLIB@
613SQUID_CFLAGS = @SQUID_CFLAGS@
614SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
615SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
616SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
617SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
618SSLLIB = @SSLLIB@
619STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
620STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
621STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
622STORE_TESTS = @STORE_TESTS@
623STRIP = @STRIP@
624TR = @TR@
625TRUE = @TRUE@
626URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
627VERSION = @VERSION@
628WBINFO = @WBINFO@
629WIN32_PSAPI = @WIN32_PSAPI@
630XMLLIB = @XMLLIB@
631XTRA_LIBS = @XTRA_LIBS@
632XTRA_OBJS = @XTRA_OBJS@
633abs_builddir = @abs_builddir@
634abs_srcdir = @abs_srcdir@
635abs_top_builddir = @abs_top_builddir@
636abs_top_srcdir = @abs_top_srcdir@
637ac_ct_AR = @ac_ct_AR@
638ac_ct_CC = @ac_ct_CC@
639ac_ct_CXX = @ac_ct_CXX@
640ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
641am__include = @am__include@
642am__leading_dot = @am__leading_dot@
643am__quote = @am__quote@
644am__tar = @am__tar@
645am__untar = @am__untar@
646bindir = @bindir@
647build = @build@
648build_alias = @build_alias@
649build_cpu = @build_cpu@
650build_os = @build_os@
651build_vendor = @build_vendor@
652builddir = @builddir@
653datadir = @datadir@
654datarootdir = @datarootdir@
655docdir = @docdir@
656dvidir = @dvidir@
657exec_prefix = @exec_prefix@
658host = @host@
659host_alias = @host_alias@
660host_cpu = @host_cpu@
661host_os = @host_os@
662host_vendor = @host_vendor@
663htmldir = @htmldir@
664includedir = @includedir@
665infodir = @infodir@
666install_sh = @install_sh@
667krb5_config = @krb5_config@
668libdir = @libdir@
669libexecdir = @libexecdir@
670localedir = @localedir@
671localstatedir = @localstatedir@
672ltdl_LIBOBJS = @ltdl_LIBOBJS@
673ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
674mandir = @mandir@
675mkdir_p = @mkdir_p@
676oldincludedir = @oldincludedir@
677pdfdir = @pdfdir@
678prefix = @prefix@
679program_transform_name = @program_transform_name@
680psdir = @psdir@
681runstatedir = @runstatedir@
682sbindir = @sbindir@
683sharedstatedir = @sharedstatedir@
684srcdir = @srcdir@
685subdirs = @subdirs@
686sys_symbol_underscore = @sys_symbol_underscore@
687sysconfdir = @sysconfdir@
688target_alias = @target_alias@
689top_build_prefix = @top_build_prefix@
690top_builddir = @top_builddir@
691top_srcdir = @top_srcdir@
692AM_CFLAGS = $(SQUID_CFLAGS)
693AM_CXXFLAGS = $(SQUID_CXXFLAGS)
694CLEANFILES = testHeaders
695TESTS = testHeaders
696AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
697        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
698        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
699        $(am__append_1) -I$(srcdir)
700@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
701@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
702COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
703subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
704
705# No recursion is needed for the subdirs, we build from here.
706EXTRA_LIBRARIES = liblru.a libheap.a
707noinst_LIBRARIES = $(REPL_LIBS)
708liblru_a_SOURCES = lru/store_repl_lru.cc
709libheap_a_SOURCES = heap/store_heap_replacement.h heap/store_heap_replacement.cc heap/store_repl_heap.cc
710all: all-am
711
712.SUFFIXES:
713.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
714$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
715        @for dep in $?; do \
716          case '$(am__configure_deps)' in \
717            *$$dep*) \
718              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
719                && { if test -f $@; then exit 0; else break; fi; }; \
720              exit 1;; \
721          esac; \
722        done; \
723        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/repl/Makefile'; \
724        $(am__cd) $(top_srcdir) && \
725          $(AUTOMAKE) --foreign src/repl/Makefile
726Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
727        @case '$?' in \
728          *config.status*) \
729            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
730          *) \
731            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
732            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
733        esac;
734$(top_srcdir)/src/Common.am $(am__empty):
735
736$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
737        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
738
739$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
740        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
741$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
742        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
743$(am__aclocal_m4_deps):
744
745clean-noinstLIBRARIES:
746        -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
747heap/$(am__dirstamp):
748        @$(MKDIR_P) heap
749        @: > heap/$(am__dirstamp)
750heap/$(DEPDIR)/$(am__dirstamp):
751        @$(MKDIR_P) heap/$(DEPDIR)
752        @: > heap/$(DEPDIR)/$(am__dirstamp)
753heap/store_heap_replacement.$(OBJEXT): heap/$(am__dirstamp) \
754        heap/$(DEPDIR)/$(am__dirstamp)
755heap/store_repl_heap.$(OBJEXT): heap/$(am__dirstamp) \
756        heap/$(DEPDIR)/$(am__dirstamp)
757
758libheap.a: $(libheap_a_OBJECTS) $(libheap_a_DEPENDENCIES) $(EXTRA_libheap_a_DEPENDENCIES)
759        $(AM_V_at)-rm -f libheap.a
760        $(AM_V_AR)$(libheap_a_AR) libheap.a $(libheap_a_OBJECTS) $(libheap_a_LIBADD)
761        $(AM_V_at)$(RANLIB) libheap.a
762lru/$(am__dirstamp):
763        @$(MKDIR_P) lru
764        @: > lru/$(am__dirstamp)
765lru/$(DEPDIR)/$(am__dirstamp):
766        @$(MKDIR_P) lru/$(DEPDIR)
767        @: > lru/$(DEPDIR)/$(am__dirstamp)
768lru/store_repl_lru.$(OBJEXT): lru/$(am__dirstamp) \
769        lru/$(DEPDIR)/$(am__dirstamp)
770
771liblru.a: $(liblru_a_OBJECTS) $(liblru_a_DEPENDENCIES) $(EXTRA_liblru_a_DEPENDENCIES)
772        $(AM_V_at)-rm -f liblru.a
773        $(AM_V_AR)$(liblru_a_AR) liblru.a $(liblru_a_OBJECTS) $(liblru_a_LIBADD)
774        $(AM_V_at)$(RANLIB) liblru.a
775
776clean-checkPROGRAMS:
777        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
778        echo " rm -f" $$list; \
779        rm -f $$list || exit $$?; \
780        test -n "$(EXEEXT)" || exit 0; \
781        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
782        echo " rm -f" $$list; \
783        rm -f $$list
784
785mostlyclean-compile:
786        -rm -f *.$(OBJEXT)
787        -rm -f heap/*.$(OBJEXT)
788        -rm -f lru/*.$(OBJEXT)
789
790distclean-compile:
791        -rm -f *.tab.c
792
793@AMDEP_TRUE@@am__include@ @am__quote@heap/$(DEPDIR)/store_heap_replacement.Po@am__quote@
794@AMDEP_TRUE@@am__include@ @am__quote@heap/$(DEPDIR)/store_repl_heap.Po@am__quote@
795@AMDEP_TRUE@@am__include@ @am__quote@lru/$(DEPDIR)/store_repl_lru.Po@am__quote@
796
797.cc.o:
798@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
799@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
800@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
801@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
802@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
803@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
804
805.cc.obj:
806@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
807@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
808@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
809@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
810@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
811@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
812
813.cc.lo:
814@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
815@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
816@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
817@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
818@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
819@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
820
821mostlyclean-libtool:
822        -rm -f *.lo
823
824clean-libtool:
825        -rm -rf .libs _libs
826
827ID: $(am__tagged_files)
828        $(am__define_uniq_tagged_files); mkid -fID $$unique
829tags: tags-am
830TAGS: tags
831
832tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
833        set x; \
834        here=`pwd`; \
835        $(am__define_uniq_tagged_files); \
836        shift; \
837        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
838          test -n "$$unique" || unique=$$empty_fix; \
839          if test $$# -gt 0; then \
840            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
841              "$$@" $$unique; \
842          else \
843            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
844              $$unique; \
845          fi; \
846        fi
847ctags: ctags-am
848
849CTAGS: ctags
850ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
851        $(am__define_uniq_tagged_files); \
852        test -z "$(CTAGS_ARGS)$$unique" \
853          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
854             $$unique
855
856GTAGS:
857        here=`$(am__cd) $(top_builddir) && pwd` \
858          && $(am__cd) $(top_srcdir) \
859          && gtags -i $(GTAGS_ARGS) "$$here"
860cscopelist: cscopelist-am
861
862cscopelist-am: $(am__tagged_files)
863        list='$(am__tagged_files)'; \
864        case "$(srcdir)" in \
865          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
866          *) sdir=$(subdir)/$(srcdir) ;; \
867        esac; \
868        for i in $$list; do \
869          if test -f "$$i"; then \
870            echo "$(subdir)/$$i"; \
871          else \
872            echo "$$sdir/$$i"; \
873          fi; \
874        done >> $(top_builddir)/cscope.files
875
876distclean-tags:
877        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
878
879# Recover from deleted '.trs' file; this should ensure that
880# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
881# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
882# to avoid problems with "make -n".
883.log.trs:
884        rm -f $< $@
885        $(MAKE) $(AM_MAKEFLAGS) $<
886
887# Leading 'am--fnord' is there to ensure the list of targets does not
888# expand to empty, as could happen e.g. with make check TESTS=''.
889am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
890am--force-recheck:
891        @:
892
893$(TEST_SUITE_LOG): $(TEST_LOGS)
894        @$(am__set_TESTS_bases); \
895        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
896        redo_bases=`for i in $$bases; do \
897                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
898                    done`; \
899        if test -n "$$redo_bases"; then \
900          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
901          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
902          if $(am__make_dryrun); then :; else \
903            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
904          fi; \
905        fi; \
906        if test -n "$$am__remaking_logs"; then \
907          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
908               "recursion detected" >&2; \
909        elif test -n "$$redo_logs"; then \
910          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
911        fi; \
912        if $(am__make_dryrun); then :; else \
913          st=0;  \
914          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
915          for i in $$redo_bases; do \
916            test -f $$i.trs && test -r $$i.trs \
917              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
918            test -f $$i.log && test -r $$i.log \
919              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
920          done; \
921          test $$st -eq 0 || exit 1; \
922        fi
923        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
924        ws='[   ]'; \
925        results=`for b in $$bases; do echo $$b.trs; done`; \
926        test -n "$$results" || results=/dev/null; \
927        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
928        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
929        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
930        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
931        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
932        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
933        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
934        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
935          success=true; \
936        else \
937          success=false; \
938        fi; \
939        br='==================='; br=$$br$$br$$br$$br; \
940        result_count () \
941        { \
942            if test x"$$1" = x"--maybe-color"; then \
943              maybe_colorize=yes; \
944            elif test x"$$1" = x"--no-color"; then \
945              maybe_colorize=no; \
946            else \
947              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
948            fi; \
949            shift; \
950            desc=$$1 count=$$2; \
951            if test $$maybe_colorize = yes && test $$count -gt 0; then \
952              color_start=$$3 color_end=$$std; \
953            else \
954              color_start= color_end=; \
955            fi; \
956            echo "$${color_start}# $$desc $$count$${color_end}"; \
957        }; \
958        create_testsuite_report () \
959        { \
960          result_count $$1 "TOTAL:" $$all   "$$brg"; \
961          result_count $$1 "PASS: " $$pass  "$$grn"; \
962          result_count $$1 "SKIP: " $$skip  "$$blu"; \
963          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
964          result_count $$1 "FAIL: " $$fail  "$$red"; \
965          result_count $$1 "XPASS:" $$xpass "$$red"; \
966          result_count $$1 "ERROR:" $$error "$$mgn"; \
967        }; \
968        {                                                               \
969          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
970            $(am__rst_title);                                           \
971          create_testsuite_report --no-color;                           \
972          echo;                                                         \
973          echo ".. contents:: :depth: 2";                               \
974          echo;                                                         \
975          for b in $$bases; do echo $$b; done                           \
976            | $(am__create_global_log);                                 \
977        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
978        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
979        if $$success; then                                              \
980          col="$$grn";                                                  \
981         else                                                           \
982          col="$$red";                                                  \
983          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
984        fi;                                                             \
985        echo "$${col}$$br$${std}";                                      \
986        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
987        echo "$${col}$$br$${std}";                                      \
988        create_testsuite_report --maybe-color;                          \
989        echo "$$col$$br$$std";                                          \
990        if $$success; then :; else                                      \
991          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
992          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
993            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
994          fi;                                                           \
995          echo "$$col$$br$$std";                                        \
996        fi;                                                             \
997        $$success || exit 1
998
999check-TESTS:
1000        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1001        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1002        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1003        @set +e; $(am__set_TESTS_bases); \
1004        log_list=`for i in $$bases; do echo $$i.log; done`; \
1005        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1006        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1007        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1008        exit $$?;
1009recheck: all $(check_PROGRAMS)
1010        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1011        @set +e; $(am__set_TESTS_bases); \
1012        bases=`for i in $$bases; do echo $$i; done \
1013                 | $(am__list_recheck_tests)` || exit 1; \
1014        log_list=`for i in $$bases; do echo $$i.log; done`; \
1015        log_list=`echo $$log_list`; \
1016        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1017                am__force_recheck=am--force-recheck \
1018                TEST_LOGS="$$log_list"; \
1019        exit $$?
1020testHeaders.log: testHeaders
1021        @p='testHeaders'; \
1022        b='testHeaders'; \
1023        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1024        --log-file $$b.log --trs-file $$b.trs \
1025        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1026        "$$tst" $(AM_TESTS_FD_REDIRECT)
1027.test.log:
1028        @p='$<'; \
1029        $(am__set_b); \
1030        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1031        --log-file $$b.log --trs-file $$b.trs \
1032        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1033        "$$tst" $(AM_TESTS_FD_REDIRECT)
1034@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1035@am__EXEEXT_TRUE@       @p='$<'; \
1036@am__EXEEXT_TRUE@       $(am__set_b); \
1037@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1038@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1039@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1040@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1041
1042distdir: $(DISTFILES)
1043        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1044        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1045        list='$(DISTFILES)'; \
1046          dist_files=`for file in $$list; do echo $$file; done | \
1047          sed -e "s|^$$srcdirstrip/||;t" \
1048              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1049        case $$dist_files in \
1050          */*) $(MKDIR_P) `echo "$$dist_files" | \
1051                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1052                           sort -u` ;; \
1053        esac; \
1054        for file in $$dist_files; do \
1055          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1056          if test -d $$d/$$file; then \
1057            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1058            if test -d "$(distdir)/$$file"; then \
1059              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1060            fi; \
1061            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1062              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1063              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1064            fi; \
1065            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1066          else \
1067            test -f "$(distdir)/$$file" \
1068            || cp -p $$d/$$file "$(distdir)/$$file" \
1069            || exit 1; \
1070          fi; \
1071        done
1072check-am: all-am
1073        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1074        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1075check: check-am
1076all-am: Makefile $(LIBRARIES)
1077installdirs:
1078install: install-am
1079install-exec: install-exec-am
1080install-data: install-data-am
1081uninstall: uninstall-am
1082
1083install-am: all-am
1084        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1085
1086installcheck: installcheck-am
1087install-strip:
1088        if test -z '$(STRIP)'; then \
1089          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1090            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1091              install; \
1092        else \
1093          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1094            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1095            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1096        fi
1097mostlyclean-generic:
1098        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1099        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1100        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1101
1102clean-generic:
1103        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1104
1105distclean-generic:
1106        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1107        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1108        -rm -f heap/$(DEPDIR)/$(am__dirstamp)
1109        -rm -f heap/$(am__dirstamp)
1110        -rm -f lru/$(DEPDIR)/$(am__dirstamp)
1111        -rm -f lru/$(am__dirstamp)
1112
1113maintainer-clean-generic:
1114        @echo "This command is intended for maintainers to use"
1115        @echo "it deletes files that may require special tools to rebuild."
1116clean: clean-am
1117
1118clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1119        clean-noinstLIBRARIES mostlyclean-am
1120
1121distclean: distclean-am
1122        -rm -rf heap/$(DEPDIR) lru/$(DEPDIR)
1123        -rm -f Makefile
1124distclean-am: clean-am distclean-compile distclean-generic \
1125        distclean-tags
1126
1127dvi: dvi-am
1128
1129dvi-am:
1130
1131html: html-am
1132
1133html-am:
1134
1135info: info-am
1136
1137info-am:
1138
1139install-data-am:
1140
1141install-dvi: install-dvi-am
1142
1143install-dvi-am:
1144
1145install-exec-am:
1146
1147install-html: install-html-am
1148
1149install-html-am:
1150
1151install-info: install-info-am
1152
1153install-info-am:
1154
1155install-man:
1156
1157install-pdf: install-pdf-am
1158
1159install-pdf-am:
1160
1161install-ps: install-ps-am
1162
1163install-ps-am:
1164
1165installcheck-am:
1166
1167maintainer-clean: maintainer-clean-am
1168        -rm -rf heap/$(DEPDIR) lru/$(DEPDIR)
1169        -rm -f Makefile
1170maintainer-clean-am: distclean-am maintainer-clean-generic
1171
1172mostlyclean: mostlyclean-am
1173
1174mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1175        mostlyclean-libtool
1176
1177pdf: pdf-am
1178
1179pdf-am:
1180
1181ps: ps-am
1182
1183ps-am:
1184
1185uninstall-am:
1186
1187.MAKE: check-am install-am install-strip
1188
1189.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1190        clean-checkPROGRAMS clean-generic clean-libtool \
1191        clean-noinstLIBRARIES cscopelist-am ctags ctags-am distclean \
1192        distclean-compile distclean-generic distclean-libtool \
1193        distclean-tags distdir dvi dvi-am html html-am info info-am \
1194        install install-am install-data install-data-am install-dvi \
1195        install-dvi-am install-exec install-exec-am install-html \
1196        install-html-am install-info install-info-am install-man \
1197        install-pdf install-pdf-am install-ps install-ps-am \
1198        install-strip installcheck installcheck-am installdirs \
1199        maintainer-clean maintainer-clean-generic mostlyclean \
1200        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1201        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1202        uninstall-am
1203
1204.PRECIOUS: Makefile
1205
1206
1207$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1208
1209testHeaders: $(srcdir)/heap/*.h
1210        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1211.PHONY: testHeaders
1212
1213# Tell versions [3.59,3.63) of GNU make to not export all variables.
1214# Otherwise a system limit (for SysV at least) may be exceeded.
1215.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.